OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepBasic

# StepBasic_SizeSelect Class Reference

`#include <StepBasic_SizeSelect.hxx>`

Inheritance diagram for StepBasic_SizeSelect:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepBasic_SizeSelect ()
| Returns a SizeSelect SelectType .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a TrimmingSelect Kind Entity that is : 1 -> SizeMember 0 else (i.e. Real) .
virtual Standard_EXPORT Handle_StepData_SelectMember | NewMember () const
| Returns a SizeMember (POSITIVE_LENGTH_MEASURE) as preferred .
virtual Standard_EXPORT Standard_Integer | CaseMem (const Handle(StepData_SelectMember)&ent) const
| Recognizes a SelectMember as Real, named as PARAMETER_VALUE 1 -> PositiveLengthMeasure i.e. Real 0 else (i.e. Entity) .
Standard_EXPORT void | SetRealValue (const Standard_Real aReal)
Standard_EXPORT Standard_Real | RealValue () const
| returns Value as a Real (Null if another type)

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_SizeSelect::StepBasic_SizeSelect | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_Integer StepBasic_SizeSelect::CaseMem | ( | const Handle(StepData_SelectMember)& | ent | ) | const`[virtual]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Standard_Integer StepBasic_SizeSelect::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

virtual Standard_EXPORT Handle_StepData_SelectMember StepBasic_SizeSelect::NewMember | ( |  | ) | const`[virtual]`

| Reimplemented from StepData_SelectType.

void StepBasic_SizeSelect::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepBasic_SizeSelect::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepBasic_SizeSelect::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Standard_Real StepBasic_SizeSelect::RealValue | ( |  | ) | const

Standard_EXPORT void StepBasic_SizeSelect::SetRealValue | ( | const Standard_Real | aReal | ) |

The documentation for this class was generated from the following file:

- StepBasic_SizeSelect.hxx